<?xml version="1.0" encoding="UTF-8"?>
<quiz>
  <question type="description">
    <name>
      <text>11.1.4 Differentiate function from first principles</text>
    </name>
    <questiontext format="html">
      <text><![CDATA[<h4>Differentiation of a general function from first principles</h4>

Consider the graph of \(y = f(x)\) shown in the Figure below.<p><br></p><p style="text-align: center;"><img src="@@PLUGINFILE@@/11-1-fig-7-fx.svg" alt="" width="463" height="204" role="presentation" class="img-responsive atto_image_button_text-bottom"><br></p><p style="text-align: left;"><br></p><p></p>

Carefully make the following observations:&nbsp;<p>(a) Point \(A\) has coordinates \( (x, f(x)) \).&nbsp;</p><p>(b) Point B has coordinates \( (x + h, f(x + h)) \).&nbsp;</p><p>(c) The straight line \(AB\) has gradient
\[ \dfrac{f(x + h) - f(x)}{h} \]&nbsp;</p><p>(d) If we let \(h \to 0\) we can find the gradient of the graph of \(y = f(x)\) at the arbitrary
point \(A\), provided we can evaluate the appropriate limit on \(h\). The resulting limit is the
derivative of \(f\) with respect to \(x\) and is written \( \dfrac{df}{dx} \) or \(f'(x)\).</p><p><br></p><p><br></p>


<div class="HELM_keypoint">
<h4>Key Point</h4>
<p><b>Definition of Derivative</b></p>
Given \(y = f(x)\), its derivative is defined as
\[ \dfrac{df}{dx} = \dfrac{f(x + h) - f(x)}{h} \]
in the limit as \(h\) tends to \(0\).

This is written
\[ \dfrac{df}{dx} = \lim_{h \to 0}  \dfrac{f(x + h) - f(x)}{h} \]

In a graphical context, the value of \( \dfrac{df}{dx} \) at \(A\) is equal to \( \tan \theta \) which is the tangent of the angle that the gradient line makes with the positive \(x\)-axis.
</div>

<hr>
<h4 class="HELM_example">Example</h4>
<p>Differentiate \(f(x) = x^2 + 2x + 3\) from first principles.</p>
<h4 class="HELM_solution">Solution</h4>
<p>
\begin{align}
 \dfrac{df}{dx} &amp;= \lim_{h \to 0} \left\{ \dfrac{f(x + h) - f(x)}{h} \right\} \\
&amp;=  \lim_{h \to 0} \left\{ \dfrac{ [(x + h)^2 + 2(x+h) + 3] - [x^2 + 2x + 3]}{h} \right\} \\
&amp;=  \lim_{h \to 0} \left\{ \dfrac{ x^2 + 2xh + h^2 + 2x + 2h + 3 - x^2 - 2x -3}{h} \right\} \\
&amp;=  \lim_{h \to 0} \left\{ \dfrac{ 2xh + h^2 + 2h}{h} \right\} \\
&amp;=  \lim_{h \to 0} \left\{ 2x + h + 2 \right\} \\
&amp;= 2x + 2
\end{align}</p>]]></text>
<file name="11-1-fig-1-tangent.svg" path="/" encoding="base64">[encoded data, 10880 characters]</file>
<file name="11-1-fig-2-gradient.svg" path="/" encoding="base64">[encoded data, 39456 characters]</file>
<file name="11-1-fig-4-x-squared.svg" path="/" encoding="base64">[encoded data, 38696 characters]</file>
<file name="11-1-fig-5-x-squared.svg" path="/" encoding="base64">[encoded data, 26312 characters]</file>
<file name="11-1-fig-7-fx.svg" path="/" encoding="base64">[encoded data, 19872 characters]</file>
    </questiontext>
    <generalfeedback format="html">
      <text/>
    </generalfeedback>
    <defaultgrade>0</defaultgrade>
    <penalty>0</penalty>
    <hidden>0</hidden>
    <idnumber/>
  </question>
</quiz>
